import React from 'react';
import App from './App';
import { Route, Switch, BrowserRouter } from 'react-router-dom';
import { Button, Result } from 'antd';



const MainRouter = () => {

    return (
        <BrowserRouter>
            <Switch>
                <Route exact path="/" component={
                    App
                } />


                <Route exact path="/*" render={() => {
                    return <Result
                        status="404"
                        title="404"
                        subTitle="Sorry, the page you visited does not exist."
                        extra={<Button type="primary" href="/">Back Home</Button>}
                    />
                }} />

            </Switch>
        </BrowserRouter>
    )

};


export default MainRouter;